import { Dimension, ItemStack, world, system } from "@minecraft/server";

// Sneak Testing
system.runInterval(() => {
    for (const player of world.getAllPlayers()) {
        if (player.isSneaking)
        {
            player.addTag("martyrboss:IsSneaking");
        }
        else
        {
            player.removeTag("martyrboss:IsSneaking");
        }
    }
})

// Reset Map On Join
world.afterEvents.worldInitialize.subscribe(() => {
    system.runTimeout(() => {
        // map reset function
    }, 45)

});

// Gun Core
import "./subcores/gun.js"

system.afterEvents.scriptEventReceive.subscribe(event => {
    const id = event.id

    switch (event.id) {
        case "martyrboss:slamfly":
            event.sourceEntity.applyKnockback(0, 0, 0, 0.75)

        case "martyrboss:nametag_prizzy":
            event.sourceEntity.nameTag = 'Prismatica'
    }
})